import numpy as np


def angle_to_point(angles):
    """" Takes an array of angles between 0 and 2*Pi (with shape (...,))
         and computes an array of points on the 2D unit circle corresponding to those angles (shape (..., 2)) """
    return np.stack([np.cos(angles), np.sin(angles)], axis=1)
